bwreg-webapp/src/main/java/edu/kit/scc/webreg/bean/admin/saml/AddFederationBean.java
/*******************************************************************************
 * Copyright (c) 2014 Michael Simon.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Michael Simon - initial
 ******************************************************************************/
package edu.kit.scc.webreg.bean.admin.saml;

import java.io.Serializable;

import jakarta.annotation.PostConstruct;
import jakarta.enterprise.context.RequestScoped;
import jakarta.inject.Inject;
import jakarta.inject.Named;

import edu.kit.scc.webreg.entity.FederationEntity;
import edu.kit.scc.webreg.service.FederationService;

@Named("addFederationBean")
@RequestScoped
public class AddFederationBean implements Serializable {

	private static final long serialVersionUID = 1L;

	@Inject
	private FederationService service;

	private FederationEntity entity;
	
	@PostConstruct
	public void init() {
		entity = service.createNew();
		entity.setFetchIdps(Boolean.TRUE);
		entity.setFetchSps(Boolean.FALSE);
		entity.setFetchAAs(Boolean.FALSE);
	}

	public String save() {
		entity = service.save(entity);
		return "show-federation.xhtml?faces-redirect=true&id=" + entity.getId();
	}
	
	public FederationEntity getEntity() {
		return entity;
	}

	public void setEntity(FederationEntity entity) {
		this.entity = entity;
	}
}

bwreg-webapp/src/main/java/edu/kit/scc/webreg/bean/admin/saml/AddSamlAAConfigurationBean.java
/*******************************************************************************
 * Copyright (c) 2014 Michael Simon.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Michael Simon - initial
 ******************************************************************************/
package edu.kit.scc.webreg.bean.admin.saml;

import java.io.Serializable;

import jakarta.annotation.PostConstruct;
import jakarta.enterprise.context.RequestScoped;
import jakarta.inject.Inject;
import jakarta.inject.Named;

import edu.kit.scc.webreg.entity.SamlAAConfigurationEntity;
import edu.kit.scc.webreg.service.SamlAAConfigurationService;

@Named("addSamlAAConfigurationBean")
@RequestScoped
public class AddSamlAAConfigurationBean implements Serializable {

	private static final long serialVersionUID = 1L;

	@Inject
	private SamlAAConfigurationService service;

	private SamlAAConfigurationEntity entity;
	
	@PostConstruct
	public void init() {
		entity = service.createNew();
	}

	public String save() {
		entity = service.save(entity);
		return "show-aa-config.xhtml?faces-redirect=true&id=" + entity.getId();
	}
	
	public SamlAAConfigurationEntity getEntity() {
		return entity;
	}

	public void setEntity(SamlAAConfigurationEntity entity) {
		this.entity = entity;
	}
}

bwreg-webapp/src/main/java/edu/kit/scc/webreg/bean/admin/saml/AddSamlIdpConfigurationBean.java
/*******************************************************************************
 * Copyright (c) 2014 Michael Simon.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Michael Simon - initial
 ******************************************************************************/
package edu.kit.scc.webreg.bean.admin.saml;

import java.io.Serializable;

import jakarta.annotation.PostConstruct;
import jakarta.enterprise.context.RequestScoped;
import jakarta.inject.Inject;
import jakarta.inject.Named;

import edu.kit.scc.webreg.entity.SamlIdpConfigurationEntity;
import edu.kit.scc.webreg.service.SamlIdpConfigurationService;

@Named("addSamlIdpConfigurationBean")
@RequestScoped
public class AddSamlIdpConfigurationBean implements Serializable {

	private static final long serialVersionUID = 1L;

	@Inject
	private SamlIdpConfigurationService service;

	private SamlIdpConfigurationEntity entity;
	
	@PostConstruct
	public void init() {
		entity = service.createNew();
	}

	public String save() {
		entity = service.save(entity);
		return "show-idp-config.xhtml?faces-redirect=true&id=" + entity.getId();
	}
	
	public SamlIdpConfigurationEntity getEntity() {
		return entity;
	}

	public void setEntity(SamlIdpConfigurationEntity entity) {
		this.entity = entity;
	}
}

bwreg-webapp/src/main/java/edu/kit/scc/webreg/bean/admin/saml/AddSamlSpBean.java
/*******************************************************************************
 * Copyright (c) 2014 Michael Simon.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Michael Simon - initial
 ******************************************************************************/
package edu.kit.scc.webreg.bean.admin.saml;

import java.io.Serializable;

import jakarta.annotation.PostConstruct;
import jakarta.enterprise.context.RequestScoped;
import jakarta.inject.Inject;
import jakarta.inject.Named;

import edu.kit.scc.webreg.entity.SamlMetadataEntityStatus;
import edu.kit.scc.webreg.entity.SamlSpMetadataEntity;
import edu.kit.scc.webreg.service.SamlSpMetadataService;

@Named("addSamlSpBean")
@RequestScoped
public class AddSamlSpBean implements Serializable {

	private static final long serialVersionUID = 1L;

	@Inject
	private SamlSpMetadataService service;

	private SamlSpMetadataEntity entity;
	
	@PostConstruct
	public void init() {
		entity = service.createNew();
	}

	public String save() {
		entity.setManagedInteral(true);
		entity.setStatus(SamlMetadataEntityStatus.ACTIVE);
		entity = service.save(entity);
		return "show-sp.xhtml?faces-redirect=true&id=" + entity.getId();
	}

	public SamlSpMetadataEntity getEntity() {
		return entity;
	}

	public void setEntity(SamlSpMetadataEntity entity) {
		this.entity = entity;
	}
}

bwreg-webapp/src/main/java/edu/kit/scc/webreg/bean/admin/saml/AddSamlSpConfigurationBean.java
/*******************************************************************************
 * Copyright (c) 2014 Michael Simon.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Michael Simon - initial
 ******************************************************************************/
package edu.kit.scc.webreg.bean.admin.saml;

import java.io.Serializable;

import jakarta.annotation.PostConstruct;
import jakarta.enterprise.context.RequestScoped;
import jakarta.inject.Inject;
import jakarta.inject.Named;

import edu.kit.scc.webreg.entity.SamlSpConfigurationEntity;
import edu.kit.scc.webreg.service.SamlSpConfigurationService;

@Named("addSamlSpConfigurationBean")
@RequestScoped
public class AddSamlSpConfigurationBean implements Serializable {

	private static final long serialVersionUID = 1L;

	@Inject
	private SamlSpConfigurationService service;

	private SamlSpConfigurationEntity entity;
	
	@PostConstruct
	public void init() {
		entity = service.createNew();
	}

	public String save() {
		entity = service.save(entity);
		return "show-sp-config.xhtml?faces-redirect=true&id=" + entity.getId();
	}
	
	public SamlSpConfigurationEntity getEntity() {
		return entity;
	}

	public void setEntity(SamlSpConfigurationEntity entity) {
		this.entity = entity;
	}
}

bwreg-webapp/src/main/java/edu/kit/scc/webreg/bean/admin/saml/EditFederationBean.java
/*******************************************************************************
 * Copyright (c) 2014 Michael Simon.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Michael Simon - initial
 ******************************************************************************/
package edu.kit.scc.webreg.bean.admin.saml;

import java.io.Serializable;
import java.util.List;

import jakarta.faces.event.ComponentSystemEvent;
import jakarta.faces.view.ViewScoped;
import jakarta.inject.Inject;
import jakarta.inject.Named;

import edu.kit.scc.webreg.entity.BusinessRulePackageEntity;
import edu.kit.scc.webreg.entity.FederationEntity;
import edu.kit.scc.webreg.service.BusinessRulePackageService;
import edu.kit.scc.webreg.service.FederationService;

@Named
@ViewScoped
public class EditFederationBean implements Serializable {

	private static final long serialVersionUID = 1L;

	@Inject
	private FederationService service;
	
	@Inject
	private BusinessRulePackageService rulePackageService;

	private FederationEntity entity;

	private BusinessRulePackageEntity selectedRulePackage;
	private List<BusinessRulePackageEntity> rulePackageList;

	private Long id;
	
	public void preRenderView(ComponentSystemEvent ev) {
		if (entity == null) {
			entity = service.fetch(id);
			
			rulePackageList = rulePackageService.findAll();
			selectedRulePackage = entity.getEntityFilterRulePackage();
		}
	}
	
	public String save() {
		entity.setEntityFilterRulePackage(selectedRulePackage);
		entity = service.save(entity);
		return "show-federation.xhtml?faces-redirect=true&id=" + entity.getId();
	}

	public FederationEntity getEntity() {
		return entity;
	}

	public void setEntity(FederationEntity entity) {
		this.entity = entity;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public BusinessRulePackageEntity getSelectedRulePackage() {
		return selectedRulePackage;
	}

	public void setSelectedRulePackage(BusinessRulePackageEntity selectedRulePackage) {
		this.selectedRulePackage = selectedRulePackage;
	}

	public List<BusinessRulePackageEntity> getRulePackageList() {
		return rulePackageList;
	}

	public void setRulePackageList(List<BusinessRulePackageEntity> rulePackageList) {
		this.rulePackageList = rulePackageList;
	}
}

bwreg-webapp/src/main/java/edu/kit/scc/webreg/bean/admin/saml/EditSamlAAConfigurationBean.java
/*******************************************************************************
 * Copyright (c) 2014 Michael Simon.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Michael Simon - initial
 ******************************************************************************/
package edu.kit.scc.webreg.bean.admin.saml;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import jakarta.faces.event.ComponentSystemEvent;
import jakarta.faces.view.ViewScoped;
import jakarta.inject.Inject;
import jakarta.inject.Named;

import edu.kit.scc.webreg.entity.SamlAAConfigurationEntity;
import edu.kit.scc.webreg.entity.SamlAAConfigurationEntity_;
import edu.kit.scc.webreg.service.SamlAAConfigurationService;

@Named
@ViewScoped
public class EditSamlAAConfigurationBean implements Serializable {

	private static final long serialVersionUID = 1L;

	@Inject
	private SamlAAConfigurationService service;

	private SamlAAConfigurationEntity entity;

	private Long id;

	private List<String> hostNameList;

	private String hostName;

	public void preRenderView(ComponentSystemEvent ev) {
		if (entity == null) {
			entity = service.findByIdWithAttrs(id, SamlAAConfigurationEntity_.hostNameList);
			hostNameList = new ArrayList<String>(entity.getHostNameList());
		}
	}

	public String save() {
		entity.setHostNameList(hostNameList);
		service.save(entity);
		return "show-aa-config.xhtml?faces-redirect=true&id=" + entity.getId();
	}

	public void addHost() {
		if (hostName != null) {
			hostNameList.add(hostName);
			hostName = null;
		}
	}

	public void removeHost(String key) {
		setHostName(key);
		hostNameList.remove(key);
	}

	public SamlAAConfigurationEntity getEntity() {
		return entity;
	}

	public void setEntity(SamlAAConfigurationEntity entity) {
		this.entity = entity;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public List<String> getHostNameList() {
		return hostNameList;
	}

	public void setHostNameList(List<String> hostNameList) {
		this.hostNameList = hostNameList;
	}

	public String getHostName() {
		return hostName;
	}

	public void setHostName(String hostName) {
		this.hostName = hostName;
	}
}

bwreg-webapp/src/main/java/edu/kit/scc/webreg/bean/admin/saml/EditSamlIdpConfigurationBean.java
/*******************************************************************************
 * Copyright (c) 2014 Michael Simon.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Michael Simon - initial
 ******************************************************************************/
package edu.kit.scc.webreg.bean.admin.saml;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import jakarta.faces.event.ComponentSystemEvent;
import jakarta.faces.view.ViewScoped;
import jakarta.inject.Inject;
import jakarta.inject.Named;

import edu.kit.scc.webreg.entity.SamlIdpConfigurationEntity;
import edu.kit.scc.webreg.entity.SamlIdpConfigurationEntity_;
import edu.kit.scc.webreg.service.SamlIdpConfigurationService;

@Named
@ViewScoped
public class EditSamlIdpConfigurationBean implements Serializable {

	private static final long serialVersionUID = 1L;

	@Inject
	private SamlIdpConfigurationService service;

	private SamlIdpConfigurationEntity entity;

	private Long id;

	private List<String> hostNameList;

	private String hostName;

	public void preRenderView(ComponentSystemEvent ev) {
		if (entity == null) {
			entity = service.findByIdWithAttrs(id, SamlIdpConfigurationEntity_.hostNameList);
			hostNameList = new ArrayList<String>(entity.getHostNameList());
		}
	}

	public String save() {
		entity.setHostNameList(hostNameList);
		service.save(entity);
		return "show-idp-config.xhtml?faces-redirect=true&id=" + entity.getId();
	}

	public void addHost() {
		if (hostName != null) {
			hostNameList.add(hostName);
			hostName = null;
		}
	}

	public void removeHost(String key) {
		setHostName(key);
		hostNameList.remove(key);
	}

	public SamlIdpConfigurationEntity getEntity() {
		return entity;
	}

	public void setEntity(SamlIdpConfigurationEntity entity) {
		this.entity = entity;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public List<String> getHostNameList() {
		return hostNameList;
	}

	public void setHostNameList(List<String> hostNameList) {
		this.hostNameList = hostNameList;
	}

	public String getHostName() {
		return hostName;
	}

	public void setHostName(String hostName) {
		this.hostName = hostName;
	}
}

bwreg-webapp/src/main/java/edu/kit/scc/webreg/bean/admin/saml/ListFederationBean.java
/*******************************************************************************
 * Copyright (c) 2014 Michael Simon.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Michael Simon - initial
 ******************************************************************************/
package edu.kit.scc.webreg.bean.admin.saml;

import java.io.Serializable;
import java.util.List;

import jakarta.annotation.PostConstruct;
import jakarta.enterprise.context.RequestScoped;
import jakarta.inject.Inject;
import jakarta.inject.Named;

import edu.kit.scc.webreg.entity.FederationEntity;
import edu.kit.scc.webreg.service.FederationService;

@Named("listFederationBean")
@RequestScoped
public class ListFederationBean implements Serializable {

	private static final long serialVersionUID = 1L;

	private List<FederationEntity> list;
    
    @Inject
    private FederationService service;

    @PostConstruct
    public void init() {
		list = service.findAll();
	}
	
    public List<FederationEntity> getEntityList() {
   		return list;
    }

}

bwreg-webapp/src/main/webapp/admin/saml/add-federation.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html"
	xmlns:ui="jakarta.faces.facelets"
	xmlns:p="http://primefaces.org/ui">
<head>
<title></title>
</head>
<body>
<f:view>
<ui:composition template="/template/default-admin.xhtml">
	<ui:param name="title" value="#{messages.title}"/>

	<ui:define name="content">
	<h:form id="form">
		<h2><h:outputText value="#{messages.add_federation}"/></h2>
	
		<h:panelGrid id="baseData" columns="2" columnClasses="labelColumn, elementColumn">

			<h:outputText value="#{messages.name}:" />
			<h:inputText value="#{addFederationBean.entity.name}" />
	
			<h:outputText value="#{messages.url}:" />
			<h:inputText value="#{addFederationBean.entity.federationMetadataUrl}" />

			<h:outputText value="#{messages.fetch_idps}" />
			<p:selectBooleanButton id="idpsField"
				onLabel="#{messages.yes}" offLabel="#{messages.no}" 
				value="#{addFederationBean.entity.fetchIdps}"/>

			<h:outputText value="#{messages.fetch_sps}" />
			<p:selectBooleanButton id="spsField"
				onLabel="#{messages.yes}" offLabel="#{messages.no}" 
				value="#{addFederationBean.entity.fetchSps}"/>

			<h:outputText value="#{messages.fetch_aas}" />
			<p:selectBooleanButton id="aasField"
				onLabel="#{messages.yes}" offLabel="#{messages.no}" 
				value="#{addFederationBean.entity.fetchAAs}"/>
					
		</h:panelGrid>

		<h:commandButton id="save" action="#{addFederationBean.save}" value="#{messages.save}"/>
		
	</h:form>

	</ui:define>
</ui:composition>
</f:view>		
</body>
</html>

bwreg-webapp/src/main/webapp/admin/saml/add-idp-config.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html"
	xmlns:ui="jakarta.faces.facelets">
<head>
<title></title>
</head>
<body>
<f:view>
<ui:composition template="/template/default-admin.xhtml">
	<ui:param name="title" value="#{messages.title}"/>

	<ui:define name="content">
	<h:form id="form">
		<h2><h:outputText value="#{messages.add_idp_config}"/></h2>
	
		<h:panelGrid id="baseData" columns="2" columnClasses="labelColumn, elementColumn">

			<h:outputText value="#{messages.entity_id}:" />
			<h:inputText value="#{addSamlIdpConfigurationBean.entity.entityId}" />
	
			<h:outputLabel for="private_key" value="#{messages.private_key}:"/>
			<h:inputTextarea id="private_key" rows="12" cols="80" maxlength="2048"
            		value="#{addSamlIdpConfigurationBean.entity.privateKey}"/>

			<h:outputLabel for="certificate" value="#{messages.certificate}:"/>
			<h:inputTextarea id="certificate" rows="12" cols="80" maxlength="2048"
       	    		value="#{addSamlIdpConfigurationBean.entity.certificate}"/>

		</h:panelGrid>

		<h:commandButton id="save" action="#{addSamlIdpConfigurationBean.save}" value="#{messages.save}"/>
		
	</h:form>

	</ui:define>
</ui:composition>
</f:view>		
</body>
</html>

bwreg-webapp/src/main/webapp/admin/saml/add-sp-config.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html"
	xmlns:ui="jakarta.faces.facelets">
<head>
<title></title>
</head>
<body>
<f:view>
<ui:composition template="/template/default-admin.xhtml">
	<ui:param name="title" value="#{messages.title}"/>

	<ui:define name="content">
	<h:form id="form">
		<h2><h:outputText value="#{messages.add_sp_config}"/></h2>
	
		<h:panelGrid id="baseData" columns="2" columnClasses="labelColumn, elementColumn">

			<h:outputText value="#{messages.entity_id}:" />
			<h:inputText value="#{addSamlSpConfigurationBean.entity.entityId}" />
	
			<h:outputLabel for="private_key" value="#{messages.private_key}:"/>
			<h:inputTextarea id="private_key" rows="12" cols="80" maxlength="2048"
            		value="#{addSamlSpConfigurationBean.entity.privateKey}"/>

			<h:outputLabel for="certificate" value="#{messages.certificate}:"/>
			<h:inputTextarea id="certificate" rows="12" cols="80" maxlength="2048"
       	    		value="#{addSamlSpConfigurationBean.entity.certificate}"/>

		</h:panelGrid>

		<h:commandButton id="save" action="#{addSamlSpConfigurationBean.save}" value="#{messages.save}"/>
		
	</h:form>

	</ui:define>
</ui:composition>
</f:view>		
</body>
</html>

bwreg-webapp/src/main/webapp/admin/saml/edit-sp.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html"
	xmlns:ui="jakarta.faces.facelets"
	xmlns:bw="http://www.scc.kit.edu/bwfacelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:pe="http://primefaces.org/ui/extensions">
<head>
<title></title>
</head>
<body>
<f:view>
	<f:metadata>
		<f:viewParam name="id" value="#{editSamlSpBean.id}"/>
		<f:event type="jakarta.faces.event.PreRenderViewEvent"
            listener="#{editSamlSpBean.preRenderView}" />
	</f:metadata>

<ui:composition template="/template/default-admin.xhtml">
	<ui:param name="title" value="#{messages.title}"/>

	<ui:define name="content">
	<h:form id="form">
		<h2><h:outputText value="#{messages.sp_config}: #{editSamlSpBean.entity.entityId}"/></h2>
	
		<p:panel header="#{messages.sp_config}">
			<p:messages id="errorMsg" showDetail="true" />
		
			<p:panelGrid id="baseData" columns="2" layout="flex" columnClasses="col-12 md:col-3 xl:col-3, col-12 md:col-9 xl:col-9">
	
		        <h:outputText value="#{messages.id}:"/>
		        <h:outputText value="#{editSamlSpBean.entity.id}"/>

			</p:panelGrid>

	        <p:outputPanel style="width: 740px; height: 640px; margin: 1em 0 1em 0;" id="ent_desc">
				<pe:codeMirror id="codeMirror" mode="xml" theme="eclipse" 
   					value="#{editSamlSpBean.entity.entityDescriptor}" keyMap="default" lineNumbers="true" />
	        </p:outputPanel>					

		<p:commandButton id="save" action="#{editSamlSpBean.save}" value="#{messages.save}" update="errorMsg"/>
		</p:panel>
		
	</h:form>

	</ui:define>
</ui:composition>
</f:view>		
</body>
</html>

bwreg-webapp/src/main/webapp/admin/saml/list-federations.xhtml
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html"
	xmlns:ui="jakarta.faces.facelets"
	xmlns:bw="http://www.scc.kit.edu/bwfacelets"
	xmlns:p="http://primefaces.org/ui">
<head>
<title></title>
</head>
<body>

<ui:composition template="/template/default-admin.xhtml">
	<ui:param name="title" value="#{messages.title}"/>

	<ui:define name="content">
	
	<h:form id="form">
	
		<p:dataTable id="dataTable" var="entity" value="#{listFederationBean.entityList}">
			<p:column>
				<f:facet name="header">
					<h:outputText value="#{messages.id}" />
				</f:facet>
				<h:outputText value="#{entity.id}" />
			</p:column>
			<p:column>
				<f:facet name="header">
					<h:outputText value="#{messages.name}" />
				</f:facet>
				<h:link outcome="show-federation.xhtml" value="#{entity.name}">
      				<f:param name="id" value="#{entity.id}"/>
    			</h:link>
			</p:column>			
			<p:column>
				<f:facet name="header">
					<h:outputText value="#{messages.entity_id}" />
				</f:facet>
				<h:outputText value="#{entity.entityId}" />
			</p:column>		
			<p:column>
				<f:facet name="header">
					<h:outputText value="#{messages.url}" />
				</f:facet>
				<h:outputText value="#{entity.federationMetadataUrl}" />
			</p:column>			
			<p:column>
				<f:facet name="header">
					<h:outputText value="#{messages.polled_at}" />
				</f:facet>
				<h:outputText value="#{entity.polledAt}" />
			</p:column>			
		</p:dataTable>

        <h:link outcome="add-federation.xhtml" value="#{messages.add_federation}"/>
	
	</h:form>

	</ui:define>
</ui:composition>		
</body>
</html>